Subject: Re: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Marcin Borkowski <[email-masked]>
Date: Sat, 30 Apr 2016 18:41:32 +0200

On 2016-04-30, at 14:38, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 30 Apr 2016 14:26:28 +0200
>> 
>> (define-category ?l "Latin")
>> 
>> in characters.el
>> 
>> could be replaced by
>> 
>> (define-category ?l "Latin
>> Latin letters (including those with diacritics)")
>
> That doesn't sound right: why single out diacritics?  And why only for
> Latin?

Because I don't really know what this category is about?

I think that my confusion is a sufficient proof that more precise
documentation is needed.

> If we want to enhance those doc strings, each one of them should state
> what Unicode blocks are covered.  (It would be okay to say something
> like "all Latin blocks", instead of enumerating them all, and
> similarly for the other categories.)

A user might not know what exactly a "Unicode block" is.  (I don't.)
I think a pointer to some sources or a few words of explanation are
really needed.  (I won't make a patch, though, since I clearly know too
little about it to do it correctly.)

> Thanks.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University